package com.docus.server.report.config;

import lombok.Getter;
import lombok.Setter;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 应用业务配置
 * @author wyb
 */
@Component
@Getter
@Setter
public class SdRyReportQueryConfig {
    @Value("${sdry.report-index-query.wsdl-addr:}")
    private String queryReportIndexWsdlAddr;
    @Value("${sdry.report-index-query.namespace-uri:}")
    private String queryReportIndexWsdlNamespaceUri;
    @Value("${sdry.report-index-query.operationName:}")
    private String queryReportIndexWsdlOperationName;
    @Value("${sdry.report-index-query.interval:1000}")
    private int queryReportIndexInterval;

    @Value("${sdry.report-query-url.lis.url:}")
    private String reportQueryLisUrl;
    @Value("${sdry.report-query-url.lis.action:}")
    private String reportQueryLisAction;
    @Value("${sdry.report-query-url.lis.accessKey:}")
    private String reportQueryLisAccessKey;
    @Value("${sdry.report-query-url.lis.interval:1000}")
    private int reportQueryLisInterval;
    @Value("${sdry.report-query-url.lis.collectorId}")
    private String reportQueryLisCollectorId;


    @Value("${sdry.report-query-url.inspect.url:}")
    private String reportQueryInspectUrl;
    @Value("${sdry.report-query-url.inspect.action:}")
    private String reportQueryInspectAction;
    @Value("${sdry.report-query-url.inspect.accessKey:}")
    private String reportQueryInspectAccessKey;
    @Value("${sdry.report-query-url.inspect.interval:1000}")
    private int reportQueryInspectInterval;
    @Value("${sdry.report-query-url.inspect.collectorId}")
    private String reportQueryInspectCollectorId;
}
