package com.docus.server.report.config;

import com.alibaba.fastjson.JSONObject;
import com.docus.server.report.util.TableJsonRead;

public class ZdAssortConfig {
    /**
     * 获取配置文件中类型对应的分类id
     * @param type 类型
     * @return 分类id
     */
    public static String getZdAssortId(String type){
        TableJsonRead jsonRead = new TableJsonRead();
        JSONObject tableTypeJson = jsonRead.Read("data-config", "js-table-type.json", JSONObject.class);
        return tableTypeJson.getString(type);
    }

    /**
     * 获取配置文件中默认其他的分类id
     * @return 分类id
     */
    public static String getOtherAssortId(){
        return  getZdAssortId("other");
    }

}
